// 导入封装的组件
import xxBtn from "./xx-btn/xx-btn.vue";
import line1 from "./line/line1.vue";

const components = {
  // 通过install来安装组件
  install(Vue) {
    Vue.component("xxBtn", xxBtn);
    Vue.component("line1", line1);
  }
};

// 注意这里的判断，很重要
if (typeof windwo !== "undefined" && window.Vue) {
  window.Vue.use(comment);
}

// 导出组件库
export default components;
